Bug 553199

Summary: NM cannot connect to CDMA with Huawei PCMCIA card
Product: [Fedora] Fedora Reporter: Dušan Hokův <dusan>
Component: NetworkManagerAssignee: Dan Williams <dcbw>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: low    
Version: 12CC: blackcode, dcbw, rpandit, sricitasy
Target Milestone: ---Flags: sricitasy: needinfo?
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: ModemManager-0.3-2.git20100211.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-03-02 20:51:01 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Dušan Hokův 2010-01-07 06:58:41 EST
Description of problem:
canntoc connect to notwork

Version-Release number of selected component (if applicable):
NetworkManager-0.7.997-2.git20091214.fc12.i686
NetworkManager-vpnc-0.7.996-4.git20090921.fc12.i686
NetworkManager-openvpn-0.7.996-4.git20090923.fc12.i686
NetworkManager-glib-0.7.997-2.git20091214.fc12.i686
NetworkManager-gnome-0.7.997-2.git20091214.fc12.i686
NetworkManager-pptp-0.7.996-4.git20090921.fc12.i686

ModemManager-0.2.997-4.git20091218.fc12.i686

How reproducible:
connect to mobile broadband

Steps to Reproduce:
1.connect to mobile broadband
2.
3.
  
Actual results:
cannot connect

Expected results:
successful connect

Additional info:

modem-manager debug:

** Message: Loaded plugin Sierra
** Message: Loaded plugin Nokia
** Message: Loaded plugin Huawei
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin Option
** Message: Loaded plugin MotoC
** Message: Loaded plugin Ericsson MBM
** Message: Loaded plugin ZTE
** Message: Loaded plugin Generic
** Message: Loaded plugin Gobi
** Message: Loaded plugin Novatel

** (modem-manager:2828): DEBUG: (Huawei): (ttyUSB1) deferring support check
** (modem-manager:2828): DEBUG: (Huawei): (ttyUSB2) deferring support check
** Message: (ttyUSB0) opening serial device...
** (modem-manager:2828): DEBUG: (ttyUSB0): probe requested by plugin 'Huawei'
** (modem-manager:2828): DEBUG: (ttyUSB0): --> 'AT+GCAP<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB0): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CIS707-A, CIS-856, +MS, +ES, +DS, +FCLASS<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyUSB0) closing serial device...
** Message: (Huawei): CDMA modem /sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0000:16:00.0/usb9/9-1 claimed port ttyUSB0
** (modem-manager:2828): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0000:16:00.0/usb9/9-1
** (modem-manager:2828): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0000:16:00.0/usb9/9-1 as /org/freedesktop/ModemManager/Modems/0
** (modem-manager:2828): DEBUG: (ttyUSB1): re-checking support...
** Message: (ttyUSB1) opening serial device...
** (modem-manager:2828): DEBUG: (ttyUSB1): probe requested by plugin 'Huawei'
** (modem-manager:2828): DEBUG: (ttyUSB2): re-checking support...
** Message: (ttyUSB2) opening serial device...
** (modem-manager:2828): DEBUG: (ttyUSB2): probe requested by plugin 'Huawei'
** (modem-manager:2828): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>^SIMST:240<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+GCAP<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- 'AT+'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- 'GCA'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- 'P<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>+GCAP: +CIS707-A, CIS-856, +MS, +ES, +DS, +FCLASS<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyUSB2) closing serial device...
** Message: (Huawei): CDMA modem /sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0000:16:00.0/usb9/9-1 claimed port ttyUSB2
** (modem-manager:2828): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** Message: (ttyUSB0) opening serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
** (modem-manager:2828): DEBUG: (ttyUSB0): --> 'ATZ E0 V1 X4 &C1<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB0): <-- 'ATZ E0 V1 X4 &C1<CR>'
** Message: (ttyUSB1) closing serial device...
** (modem-manager:2828): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB0): --> 'AT+CMEE=1<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** Message: (ttyUSB2) opening serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CAD?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CSS?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CAD?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CSS?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>^HRSSILVL:80<CR><LF>'
** (modem-manager:2828): DEBUG: EVDO signal quality: 80
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CAD?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CSS?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CAD?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CSS?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CAD?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CSS?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CAD?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CSS?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CAD?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CSS?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CAD?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CSS?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CAD?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CSS?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CAD?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CSS?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CAD?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CSS?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CAD?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CSS?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CAD?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CSS?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CAD?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CSS?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CAD?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CSS?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CAD?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2828): DEBUG: (ttyUSB2): --> 'AT+CSS?<CR>'
** (modem-manager:2828): DEBUG: (ttyUSB2): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyUSB2) closing serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabled -> disabling)
** Message: (ttyUSB0) closing serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabling -> disabled)


In Fedora 11 was everything ok.
Comment 1 Dan Williams 2010-01-07 11:56:22 EST
Are you sure you're in an area with good coverage?  Usually a CSS response with a SID of 0 means the coverage is not good or the modem hasn't been able to register...
Comment 2 Dušan Hokův 2010-01-07 15:19:14 EST
Coverage is OK, in previous Fedora is everything functional.
Comment 3 Dušan Hokův 2010-01-13 03:01:14 EST
I cannot connect with

ModemManager-0.2.997-5.git20100101.fc12.i686

from testing repository too.
Comment 4 Dan Williams 2010-01-16 14:51:46 EST
What exact Huawei model # is the modem, and what's the output of 'lsusb' and 'lspci'  when the device is plugged in?
Comment 5 Dušan Hokův 2010-01-18 06:22:38 EST
dmesg:

hub 9-0:1.0: USB hub found
hub 9-0:1.0: 1 port detected
ohci_hcd 0000:16:00.1: enabling device (0000 -> 0002)
ohci_hcd 0000:16:00.1: PCI INT B -> GSI 16 (level, low) -> IRQ 16
ohci_hcd 0000:16:00.1: setting latency timer to 64
ohci_hcd 0000:16:00.1: OHCI Host Controller
ohci_hcd 0000:16:00.1: new USB bus registered, assigned bus number 10
ohci_hcd 0000:16:00.1: irq 16, io mem 0x80001000
usb usb10: New USB device found, idVendor=1d6b, idProduct=0001
usb usb10: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb10: Product: OHCI Host Controller
usb usb10: Manufacturer: Linux 2.6.31.9-174.fc12.i686 ohci_hcd
usb usb10: SerialNumber: 0000:16:00.1
usb usb10: configuration #1 chosen from 1 choice
hub 10-0:1.0: USB hub found
hub 10-0:1.0: 1 port detected
usb 9-1: new full speed USB device using ohci_hcd and address 2
usb 9-1: New USB device found, idVendor=12d1, idProduct=1001
usb 9-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 9-1: Product: Huawei Mobile                 
usb 9-1: Manufacturer: Huawei Technologies   
usb 9-1: configuration #1 chosen from 1 choice
Initializing USB Mass Storage driver...
usbcore: registered new interface driver usb-storage
USB Mass Storage support registered.
usbcore: registered new interface driver usbserial
USB Serial support registered for generic
usbcore: registered new interface driver usbserial_generic
usbserial: USB Serial Driver core
USB Serial support registered for GSM modem (1-port)
option 9-1:1.0: GSM modem (1-port) converter detected
usb 9-1: GSM modem (1-port) converter now attached to ttyUSB0
option 9-1:1.1: GSM modem (1-port) converter detected
usb 9-1: GSM modem (1-port) converter now attached to ttyUSB1
option 9-1:1.2: GSM modem (1-port) converter detected
usb 9-1: GSM modem (1-port) converter now attached to ttyUSB2
usbcore: registered new interface driver option
option: v0.7.2:USB Driver for GSM modems


lsusb:
Bus 010 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 009 Device 002: ID 12d1:1001 Huawei Technologies Co., Ltd. E620 USB Modem
Bus 009 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 003: ID 046d:c312 Logitech, Inc. DeLuxe 250 Keyboard
Bus 006 Device 002: ID 046d:c040 Logitech, Inc. Corded Tilt-Wheel Mouse
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 002: ID 08ff:2810 AuthenTec, Inc. 

lspci:
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:03.0 Communication controller: Intel Corporation Mobile 4 Series Chipset MEI Controller (rev 07)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 4 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 5 (rev 03)
00:1c.5 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 6 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
00:1f.0 ISA bridge: Intel Corporation ICH9M LPC Interface Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation ICH9M/M-E SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 03)
03:00.0 Network controller: Intel Corporation PRO/Wireless 5100 AGN [Shiloh] Network Connection
04:00.0 Ethernet controller: Broadcom Corporation NetLink BCM5787M Gigabit Ethernet PCI Express (rev 02)
15:00.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev ba)
15:00.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 04)
15:00.2 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 21)
15:00.3 System peripheral: Ricoh Co Ltd R5C843 MMC Host Controller (rev ff)
15:00.4 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 11)
15:00.5 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev 11)
16:00.0 USB Controller: NEC Corporation USB (rev 43)
16:00.1 USB Controller: NEC Corporation USB (rev 43)

On the pcmcia card is "Huawei Mobile Connect EC500 CDMA2000 1xEV-DO data card"
Comment 6 Dan Williams 2010-01-19 02:34:20 EST
Is there a chance that your provider is EVDO only and does not run a 1xRTT network?

Are you comfortable with a serial program like minicom?  We can do some additional debugging.  I have a number of theories about what's going wrong but need to confirm them first.
Comment 7 Dušan Hokův 2010-01-20 04:21:49 EST
The modem have CDMA tariff.

Tell me please, which commands output you need from minicom.

Modem actually have college from work, I can reply asap.

Modem works fine in previous Fedora.
Comment 8 Dan Williams 2010-01-20 16:45:38 EST
Ok, I'm interested in the response to:

AT&V
AT^SYSINFO
AT^HDRCSQ
AT^HDRCSQ?
AT^PREFMODE?

Thanks!
Comment 9 Dan Williams 2010-01-20 18:16:25 EST
*** Bug 552121 has been marked as a duplicate of this bug. ***
Comment 10 Dan Williams 2010-01-20 18:17:19 EST
bugfinder, if you are comfortable with minicom and you woudln't mind trying out the commands in comment #8 I'd much appreciate it.
Comment 11 Dušan Hokův 2010-01-26 10:52:19 EST
ttyUSB0:

AT&V                                                 
&C: 1; &D: 2; &F: 0; E: 1; L: 1; M: 0; Q: 0; V: 1; X: 4; Z: 0; S0: 0;
S3: 13; S4: 10; S5: 8; S6: 2; S7: 45; S8: 2; S9: 6; S10: 14; S11: 95;
+FCLASS: 0; +ICF: 3,3; +IFC: 2,2; +IPR: 115200; +DR: 0; +DS: 0,0,2048,6;
+CDR: 0; +CDS: 0,1,2048,6; +CFC: 0; +CFG: ""; +CMUX: C,2; +CQD: 10;
+CRC: 0; +CRM: 0; +CTA: 0; +CXT: 0; +EB: 1,0,30; +EFCS: 1; +ER: 0;
+ES: 3,0,2; +ESR: 1; +ETBM: 1,1,20; +ILRR: 0; +MA: ; +MR: 0; +MS: ;
+MV18R: 0; +MV18S: 0,0,0; +CLVL: 2; +CMUT: 0; +CPBS: "SM"; +FAA: 0;
+FAP: 0,0,0; +FBO: 0; +FBU: 0;  +FCQ: 1,0; +FCC: 0,1,0,0,0,0,0,0; +FCR: 0;
+FCT: 1E; +FEA: 0; +FFC: 0,0,0,0; +FHS: 0; +FIE: 0; +FIP: 0;
+FIS: 0,1,0,0,0,0,0,0; +FLI: ""; +FLO: 1; +FLP: 0; +FMS: 0;
+FNR: 0,0,0,0; +FNS: ""; +FPA: ""; +FPI: ""; +FPP: 0; +FPR: 8; +FPS: 1;
+FPW: ""; +FRQ: 0,0; +FRY: 0; +FSA: ""; +FSP: 0; +CNMI: 1,1,0,2,0;              
+CPMS: "ME","ME","ME"; +CMGF: 1; ^HSMSSS: 0,0,1,0; ^RSSIREP: 1;                 
^PREFMODE: 4; ^CLVRING: 2; ^CMICLVL: 2; ^HFLASH: ; ^DTMFTYPE: 0;                
^CPIN: ,                                                                        
                                                                                
OK                                                                              
AT^SYSINFO                                                                      
^SYSINFO:2,255,1,4,240                                                          
                                                                                
OK                                                                              
AT^HDRCSQ                                                                       
COMMAND NOT SUPPORT                                                             
AT^HDRCSQ?                                                                      
COMMAND NOT SUPPORT                                                             
AT^PREFMODE?                                                                    
^PREFMODE: 4                                                                    
                                                                                
OK             


ttyUSB2:

AT&V
&C: 1; &D: 2; &F: 0; E: 1; L: 1; M: 0; Q: 0; V: 1; X: 4; Z: 0; S0: 0;
S3: 13; S4: 10; S5: 8; S6: 2; S7: 45; S8: 2; S9: 6; S10: 14; S11: 95;
+FCLASS: 0; +ICF: 3,3; +IFC: 2,2; +IPR: 115200; +DR: 0; +DS: 0,0,2048,6;
+CDR: 0; +CDS: 0,1,2048,6; +CFC: 0; +CFG: ""; +CMUX: C,2; +CQD: 10;
+CRC: 0; +CRM: 0; +CTA: 0; +CXT: 0; +EB: 1,0,30; +EFCS: 1; +ER: 0;
+ES: 3,0,2; +ESR: 1; +ETBM: 1,1,20; +ILRR: 0; +MA: ; +MR: 0; +MS: ;
+MV18R: 0; +MV18S: 0,0,0; +CLVL: 2; +CMUT: 0; +CPBS: "SM"; +FAA: 0;
+FAP: 0,0,0; +FBO: 0; +FBU: 0;  +FCQ: 1,0; +FCC: 0,1,0,0,0,0,0,0; +FCR: 0;
+FCT: 1E; +FEA: 0; +FFC: 0,0,0,0; +FHS: 0; +FIE: 0; +FIP: 0;
+FIS: 0,1,0,0,0,0,0,0; +FLI: ""; +FLO: 1; +FLP: 0; +FMS: 0;                     
+FNR: 0,0,0,0; +FNS: ""; +FPA: ""; +FPI: ""; +FPP: 0; +FPR: 8; +FPS: 1;         
+FPW: ""; +FRQ: 0,0; +FRY: 0; +FSA: ""; +FSP: 0; +CNMI: 1,1,0,2,0;              
+CPMS: "ME","ME","ME"; +CMGF: 1; ^HSMSSS: 0,0,1,0; ^RSSIREP: 1;                 
^PREFMODE: 4; ^CLVRING: 2; ^CMICLVL: 2; ^HFLASH: ; ^DTMFTYPE: 0;                
^CPIN: ,                                                                        
                                                                                
OK                                                                              
                                                                                
^HRSSILVL:80                                                                    
AT^SYSINFO                                                                      
^SYSINFO:2,255,1,4,240                                                          
                                                                                
OK                                                                              
AT^HDRCSQ                                                                       
COMMAND NOT SUPPORT                                                             
AT^HDRCSQ?                                                                      
COMMAND NOT SUPPORT                                                             
AT^PREFMODE?                                                                    
^PREFMODE: 4                                                                    
                                                                                
OK
Comment 12 bugfinder 2010-01-28 09:15:39 EST
Welcome to minicom 2.3

OPTIONS: I18n 
Compiled on Jul 26 2009, 22:02:36.
Port /dev/ttyUSB0

                 Press CTRL-A Z for help on special keys
                                                     
AT S7=45 S0=0 L1 V1 X4 &c1 E1 Q0                     
OK                                                   
AT&V                                                 
&C: 1; &D: 2; &F: 0; E: 1; L: 1; M: 0; Q: 0; V: 1; X: 4; Z: 0; S0: 0;
S3: 13; S4: 10; S5: 8; S6: 2; S7: 45; S8: 2; S9: 6; S10: 14; S11: 95;
+FCLASS: 0; +ICF: 3,3; +IFC: 2,2; +IPR: 115200; +DR: 0; +DS: 0,0,2048,6;
+CDR: 0; +CDS: 0,1,2048,6; +CFC: 0; +CFG: ""; +CMUX: C,2; +CQD: 10;
+CRC: 0; +CRM: 0; +CTA: 0; +CXT: 0; +EB: 1,0,30; +EFCS: 1; +ER: 0;
+ES: 3,0,2; +ESR: 1; +ETBM: 1,1,20; +ILRR: 0; +MA: ; +MR: 0; +MS: ;
+MV18R: 0; +MV18S: 0,0,0; +FAA: 0; +FAP: 0,0,0; +FBO: 0; +FBU: 0;
+FCQ: 1,0; +FCC: 0,1,0,0,0,0,0,0;  +FCR: 0; +FCT: 1E; +FEA: 0;
+FFC: 0,0,0,0; +FHS: 0; +FIE: 0; +FIP: 0; +FIS: 0,1,0,0,0,0,0,0;
+FLI: ""; +FLO: 1; +FLP: 0; +FMS: 0; +FNR: 0,0,0,0; +FNS: ""; +FPA: "";
+FPI: ""; +FPP: 0; +FPR: 8; +FPS: 1; +FPW: ""; +FRQ: 0,0; +FRY: 0;
+FSA: ""; +FSP: 0                                                               
                                                                                
OK             
AT^SYSINFO                                                                      
ERROR                                                                           
AT^HDRCSQ                                                                       
ERROR                                                                           
AT^HDRCSQ?                                                                      
ERROR                                                                           
AT^PREFMODE?                                                                    
ERROR
Comment 13 bugfinder 2010-01-28 09:17:40 EST
It does support CDMA 1X. In the windows version of the dialer, there are 3 options to select from.

1. CDMA
2. EVDO
3. Hybrid Mode (during travelling)
Comment 14 Dan Williams 2010-01-29 14:47:13 EST
(In reply to comment #13)
> It does support CDMA 1X. In the windows version of the dialer, there are 3
> options to select from.
> 
> 1. CDMA
> 2. EVDO
> 3. Hybrid Mode (during travelling)    

What's the *specific* model printed on the modem itself?  Huawei uses the same USB ID for a bunch of different modems.  Your version doesn't appear to support the standard Huawei AT commands, so I'll need to see if I can find some of the commands it has somewhere else.
Comment 15 Dan Williams 2010-01-29 14:49:42 EST
(In reply to comment #11)
> AT^SYSINFO
> ^SYSINFO:2,255,1,4,240
> 
> OK

Ok, this indicates the modem in in HDR-only (ie EVDO) mode.  I'll add some code to bypass the +CSS response for Huawei CDMA devices like I did for AnyDATA modems where the CSS response is apparently keyed off the 1x status, not both 1x and EVDO.  That should fix your issue.

It won't fix bugfinder's issue though since I still need to figure out the AT commands that return EVDO/1x status for his device, which I've never seen before.
Comment 16 Dan Williams 2010-01-29 15:26:41 EST
bufinder, sorry to have requested information that's already in the original bug.  nevermind  my request.
Comment 17 Dušan Hokův 2010-01-30 06:26:23 EST
I tried today Fedora 11 live cd on my notebook and with this version Huawei modem works perfectly.
Comment 18 Dan Williams 2010-02-03 16:03:25 EST
(In reply to comment #17)
> I tried today Fedora 11 live cd on my notebook and with this version Huawei
> modem works perfectly.    

Right, because NM 0.7.x in F11 is pretty dumb and just tries to dial without actually checking to see if you have service.  NM 0.7.x has no ability to check if you have service before trying to dial, which caused other problems but obviously works better for you.

ModemManager is a lot smarter (sometimes there are bugs as you've seen) and it's usually able to detect whether you have service, and also often *what* service you have.  This is necessary for good UI display which is coming soon.

I'll be fixing up the Huawei CDMA plugin quite soon for this problem and issuing an update.  Thanks for the reply...
Comment 19 Dan Williams 2010-02-08 21:04:10 EST
*** Bug 542076 has been marked as a duplicate of this bug. ***
Comment 20 Dan Williams 2010-02-11 11:13:44 EST
upstream commit:

1a7be4a379e95a0ceb5ed1d30540eaf75354f27f (master)
Comment 21 Fedora Update System 2010-02-12 02:23:41 EST
ModemManager-0.3-2.git20100211.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ModemManager-0.3-2.git20100211.fc12
Comment 22 Dušan Hokův 2010-02-12 09:35:20 EST
It works! Thanks a lot.

Dusan
Comment 23 bugfinder 2010-02-12 10:14:57 EST
I did yum --enablerepo=updates-testing update NetworkManager and it updated it to NetworkManager-0.7.998-2.git20100106.fc12.i686 but ModemManager isn't the version listed on http://admin.fedoraproject.org/updates/ModemManager-0.3-2.git20100211.fc12

I tried installing the rpms manually but it gave errors

	file /lib/udev/rules.d/77-mm-longcheer-port-types.rules from install of ModemManager-0.3-2.git20100211.fc12.i686 conflicts with file from package ModemManager-0.3-1.git20100119.fc12.i686
	file /usr/lib/ModemManager/libmm-plugin-anydata.so from install of ModemManager-0.3-2.git20100211.fc12.i686 conflicts with file from package ModemManager-0.3-1.git20100119.fc12.i686
	file /usr/lib/ModemManager/libmm-plugin-generic.so from install of ModemManager-0.3-2.git20100211.fc12.i686 conflicts with file from package ModemManager-0.3-1.git20100119.fc12.i686
	file /usr/lib/ModemManager/libmm-plugin-gobi.so from install of ModemManager-0.3-2.git20100211.fc12.i686 conflicts with file from package ModemManager-0.3-1.git20100119.fc12.i686
	file /usr/lib/ModemManager/libmm-plugin-hso.so from install of ModemManager-0.3-2.git20100211.fc12.i686 conflicts with file from package ModemManager-0.3-1.git20100119.fc12.i686
	file /usr/lib/ModemManager/libmm-plugin-huawei.so from install of ModemManager-0.3-2.git20100211.fc12.i686 conflicts with file from package ModemManager-0.3-1.git20100119.fc12.i686
	file /usr/lib/ModemManager/libmm-plugin-longcheer.so from install of ModemManager-0.3-2.git20100211.fc12.i686 conflicts with file from package ModemManager-0.3-1.git20100119.fc12.i686
	file /usr/lib/ModemManager/libmm-plugin-mbm.so from install of ModemManager-0.3-2.git20100211.fc12.i686 conflicts with file from package ModemManager-0.3-1.git20100119.fc12.i686
	file /usr/lib/ModemManager/libmm-plugin-moto-c.so from install of ModemManager-0.3-2.git20100211.fc12.i686 conflicts with file from package ModemManager-0.3-1.git20100119.fc12.i686
	file /usr/lib/ModemManager/libmm-plugin-nokia.so from install of ModemManager-0.3-2.git20100211.fc12.i686 conflicts with file from package ModemManager-0.3-1.git20100119.fc12.i686
	file /usr/lib/ModemManager/libmm-plugin-novatel.so from install of ModemManager-0.3-2.git20100211.fc12.i686 conflicts with file from package ModemManager-0.3-1.git20100119.fc12.i686
	file /usr/lib/ModemManager/libmm-plugin-option.so from install of ModemManager-0.3-2.git20100211.fc12.i686 conflicts with file from package ModemManager-0.3-1.git20100119.fc12.i686
	file /usr/lib/ModemManager/libmm-plugin-sierra.so from install of ModemManager-0.3-2.git20100211.fc12.i686 conflicts with file from package ModemManager-0.3-1.git20100119.fc12.i686
	file /usr/lib/ModemManager/libmm-plugin-zte.so from install of ModemManager-0.3-2.git20100211.fc12.i686 conflicts with file from package ModemManager-0.3-1.git20100119.fc12.i686
	file /usr/sbin/modem-manager from install of ModemManager-0.3-2.git20100211.fc12.i686 conflicts with file from package ModemManager-0.3-1.git20100119.fc12.i686
Comment 24 bugfinder 2010-02-12 10:43:18 EST
Nevermind, it installed with rpm -Uvh, sorry. I'll test it now.
Comment 25 bugfinder 2010-02-12 11:34:25 EST
This update does not fix Bug # 552121.
Comment 26 Dan Williams 2010-02-12 13:29:00 EST
(In reply to comment #25)
> This update does not fix Bug # 552121.    

No, it won't fix 552121 because that device is a ZTE device and this fix is only for Huawei devices.  The ZTE devices require a different fix.
Comment 27 Fedora Update System 2010-02-12 19:38:48 EST
ModemManager-0.3-2.git20100211.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ModemManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1831
Comment 28 Fedora Update System 2010-03-02 20:50:55 EST
ModemManager-0.3-2.git20100211.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 29 Rajoharison Jemisa 2014-11-20 06:18:57 EST
hello all!
would you please indicate me where to download the setup.exe contained in the cd because someone gave me the ec500 data card without the cd.
thanks a lot!

Jemisa